#
# spec file for package batctl
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# Upstream First - Policy:
# Never add any patches to this package without the upstream commit id
# in the patch. Any patches added here without a very good reason to make
# an exception will be silently removed with the next version update.

Name:           batctl
Summary:        B.A.T.M.A.N. advanced control and management tool
Version:        2015.1
Release:        3.3
License:        GPL-2.0
Group:          Productivity/Networking/Other
Url:            http://www.open-mesh.org/projects/batctl
Source0:        http://downloads.open-mesh.org/batman/stable/sources/batctl/%{name}-%{version}.tar.gz
BuildRequires:  pkg-config
BuildRequires:  pkgconfig(libnl-3.0)

%description
Why do I need batctl?  B.A.T.M.A.N. advanced operates on layer 2 and
thus all hosts participating in the virtual switch are completely
transparent for all protocols above layer 2.  Therefore the common
diagnosis tools do not work as expected.  To overcome these problems
batctl was created.  At the moment batctl contains ping, traceroute,
tcpdump and interfaces to the kernel module settings.

%prep
%setup -n %{name}-%{version}

%build
export CFLAGS='%{optflags}'
make %{?_smp_mflags}

%install
%{__mkdir_p} $RPM_BUILD_ROOT%{_bindir}
%{__mkdir_p} $RPM_BUILD_ROOT%{_mandir}/man8
%{__install} -m 644 man/%{name}.8 $RPM_BUILD_ROOT%{_mandir}/man8
%{__install} -m 755 %{name} $RPM_BUILD_ROOT%{_bindir}

%files
%defattr(-,root,root)
%doc README
%{_bindir}/%{name}
%{_mandir}/man8/%{name}.8.gz

%changelog
* Thu Aug 27 2015 p.drouand@gmail.com
- Update to version 2015.1
  * No changelog available
* Sun Jul 26 2015 p.drouand@gmail.com
- Update to version 2015.0
  * No changelog available
* Mon Mar 30 2015 p.drouand@gmail.com
- Update to version 2014.4.0
  * No ChangeLog available
* Mon Dec 22 2014 p.drouand@gmail.com
- Update to version 2014.3.0
  + support latest kernels (2.6.29 - 3.16)
  + drop QinQ claim frames in bridge loop avoidance
  + fix a bogus warning from batadv_is_on_batman_iface()
  + removed SET_ETHTOOL_OPS
  + style improvements:
  * remove semi-colon after macro definition
  * add blank line between declarations and the rest of the code
- Add make dependencies to pkg-config and pkgconfig(libnl-3.0);
  new upstream requirements
- Fix Url to batctl homepage
- Use download Url as source
* Sat Dec  8 2012 p.drouand@gmail.com
- Update to 2012.4.0 version:
  * now maintains a list of optional features and informs the user
    about a possibly deactivated optional feature.
  * the sysfs / debugfs code has been refactored to remove redundant
    boilerplate code.
  * option to display the newly added backbone gateway table
* Mon Feb 13 2012 coolo@suse.com
- patch license to follow spdx.org standard
* Sat Sep 17 2011 jengelh@medozas.de
- Remove redundant tags/sections from specfile
- Use %%_smp_mflags for parallel build
* Tue May 24 2011 gregkh@suse.de
- initial creation of the batctl package, based on 2011.1.0 release.
